Diablo 2 LOD won't patch to 1.14d on Mojave 10.14.2

Mac Technical Support
Hi

I've just recently bought Diablo 2 and Diablo 2 LOD for mac. I have downloaded the game and installed it successfully and it starts. But when i try to connect to battle net the 1.14b version of the game wants to install a update. Then the game exits but the installer crashes. I've tried to install stand alone patches also but with no success.

Please help me! I really want to play this game!
Marked As Solution
Solved. Just restart the crashed installer and it will install.
12/26/2018 07:38 AMPosted by chembeat
Solved. Just restart the crashed installer and it will install.
how do i accomplish this

Join the Conversation

Return to Forum